Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.impl.domain.variable.anchor
Class AnchorVariableListener

    java.lang.Object
      org.optaplanner.core.impl.domain.variable.anchor.AnchorVariableListener

All Implemented Interfaces:
  AnchorVariableSupply, VariableListener<Object>, Supply

    public class AnchorVariableListener

extends Object
implements VariableListener<Object>, AnchorVariableSupply

Field Summary
`protected AnchorShadowVariableDescriptor` | `anchorShadowVariableDescriptor`
`protected SingletonInverseVariableSupply` | `nextVariableSupply`
`protected VariableDescriptor` | `previousVariableDescriptor`

Constructor Summary
`AnchorVariableListener(AnchorShadowVariableDescriptor anchorShadowVariableDescriptor, VariableDescriptor previousVariableDescriptor, SingletonInverseVariableSupply nextVariableSupply)`

Method Summary
`void` | `afterEntityAdded(ScoreDirector scoreDirector, Object entity)`
`void` | `afterEntityRemoved(ScoreDirector scoreDirector, Object entity)`
`void` | `afterVariableChanged(ScoreDirector scoreDirector, Object entity)`
`void` | `beforeEntityAdded(ScoreDirector scoreDirector, Object entity)`
`void` | `beforeEntityRemoved(ScoreDirector scoreDirector, Object entity)`
`void` | `beforeVariableChanged(ScoreDirector scoreDirector, Object entity)`
`Object` | `getAnchor(Object entity)`
`protected void` | `insert(ScoreDirector scoreDirector, Object entity)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### anchorShadowVariableDescriptor

    protected final AnchorShadowVariableDescriptor anchorShadowVariableDescriptor

### previousVariableDescriptor

    protected final VariableDescriptor previousVariableDescriptor

### nextVariableSupply

    protected final SingletonInverseVariableSupply nextVariableSupply

Constructor Detail

### AnchorVariableListener

    public AnchorVariableListener(AnchorShadowVariableDescriptor anchorShadowVariableDescriptor,
                                  VariableDescriptor previousVariableDescriptor,
                                  SingletonInverseVariableSupply nextVariableSupply)

Method Detail

### beforeEntityAdded

    public void beforeEntityAdded(ScoreDirector scoreDirector,
                                  Object entity)

  Specified by:
    `beforeEntityAdded` in interface `VariableListener<Object>`

### afterEntityAdded

    public void afterEntityAdded(ScoreDirector scoreDirector,
                                 Object entity)

  Specified by:
    `afterEntityAdded` in interface `VariableListener<Object>`

### beforeVariableChanged

    public void beforeVariableChanged(ScoreDirector scoreDirector,
                                      Object entity)

  Specified by:
    `beforeVariableChanged` in interface `VariableListener<Object>`

### afterVariableChanged

    public void afterVariableChanged(ScoreDirector scoreDirector,
                                     Object entity)

  Specified by:
    `afterVariableChanged` in interface `VariableListener<Object>`

### beforeEntityRemoved

    public void beforeEntityRemoved(ScoreDirector scoreDirector,
                                    Object entity)

  Specified by:
    `beforeEntityRemoved` in interface `VariableListener<Object>`

### afterEntityRemoved

    public void afterEntityRemoved(ScoreDirector scoreDirector,
                                   Object entity)

  Specified by:
    `afterEntityRemoved` in interface `VariableListener<Object>`

### insert

    protected void insert(ScoreDirector scoreDirector,
                          Object entity)

### getAnchor

    public Object getAnchor(Object entity)

  Specified by:
    `getAnchor` in interface `AnchorVariableSupply`
  Parameters:
    `entity` - never null
  Returns:
    sometimes null, the anchor for the entity

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2015 JBoss by Red Hat. All Rights Reserved.